Creates {@link remote.DriverService} instances that manage a MicrosoftEdgeDriver server in a child process.

### Hierarchy

- <internal>.Builder
  - ServiceBuilder

## Index

### Constructors

- constructor

### Methods

- addArguments
- build
- setEnvironment
- setHostname
- setLoopback
- setPath
- setPort
- setStdio

## Constructors

### constructor

- new ServiceBuilder(opt_exe?: string): <internal>.ServiceBuilder

- Overrides Builder.constructor

  throws

    {Error} If provided executable does not exist, or the MicrosoftEdgeDriver cannot be found on the PATH.

  #### Parameters

  - ##### Optional opt_exe: string

    Path to the server executable to use. If omitted, the builder will attempt to locate the MicrosoftEdgeDriver on the current PATH.

  #### Returns <internal>.ServiceBuilder

## Methods

### addArguments

- addArguments(...var_args: string[]): <internal>.ServiceBuilder

- Inherited from Builder.addArguments

  Define additional command line arguments to use when starting the server.

  #### Parameters

  - ##### Rest ...var_args: string[]

    The arguments to include.

  #### Returns <internal>.ServiceBuilder

  A self reference.

### build

- build(): DriverService

- Inherited from Builder.build

  Creates a new DriverService using this instance's current configuration.

  #### Returns DriverService

  A new driver service.

### setEnvironment

- setEnvironment(env: Map<string, string> | {}): <internal>.ServiceBuilder

- Inherited from Builder.setEnvironment

  Defines the environment to start the server under. This setting will be inherited by every browser session started by the server. By default, the server will inherit the enviroment of the current process.

  #### Parameters

  - ##### env: Map<string, string> | {}

    The desired environment to use, or `null` if the server should inherit the current environment.

  #### Returns <internal>.ServiceBuilder

  A self reference.

### setHostname

- setHostname(hostname: string): <internal>.ServiceBuilder

- Inherited from Builder.setHostname

  Sets the host name to access the server on. If specified, the {@linkplain #setLoopback() loopback} setting will be ignored.

  #### Parameters

  - ##### hostname: string

  #### Returns <internal>.ServiceBuilder

  A self reference.

### setLoopback

- setLoopback(loopback: boolean): <internal>.ServiceBuilder

- Inherited from Builder.setLoopback

  Sets whether the service should be accessed at this host's loopback address.

  #### Parameters

  - ##### loopback: boolean

  #### Returns <internal>.ServiceBuilder

  A self reference.

### setPath

- setPath(basePath: string): <internal>.ServiceBuilder

- Inherited from Builder.setPath

  Sets the base path for WebDriver REST commands (e.g. "/wd/hub"). By default, the driver will accept commands relative to "/".

  #### Parameters

  - ##### basePath: string

    The base path to use, or `null` to use the default.

  #### Returns <internal>.ServiceBuilder

  A self reference.

### setPort

- setPort(port: number): <internal>.ServiceBuilder

- Inherited from Builder.setPort

  Sets the port to start the server on.

  throws

    {Error} If an invalid port is specified.

  #### Parameters

  - ##### port: number

    The port to use, or 0 for any free port.

  #### Returns <internal>.ServiceBuilder

  A self reference.

### setStdio

- setStdio(config: any): <internal>.ServiceBuilder

- Inherited from Builder.setStdio

  IO configuration for the spawned server process. For more information, refer to the documentation of `child_process.spawn`.

  see

    https://nodejs.org/dist/latest-v4.x/docs/api/child_process.html#child_process_options_stdio

  #### Parameters

  - ##### config: any

    The desired IO configuration.

  #### Returns <internal>.ServiceBuilder

  A self reference.

Generated using TypeDoc